<template>
  <div class="button-wraps">
      <button @click="doSomething" class="button-style" :style="{backgroundColor:bgColor}">{{buttonText}}</button>
  </div>
</template>

<script>
  export default {
    name: 'buttons',
    props:{
      buttonText:{
          type:String
      },
      bgColor:{
        type:String,
        default:"#FF7A00"
      }

    },
    data () {
      return {

      }
    },
    methods:{
      doSomething(){
          this.$emit("clickButton")
      }
    }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

.button-style{
  display: block;
  width:100%;
  height:1.6rem;
  line-height:1.6rem;
  border:none;
  border-radius: .12rem;
  color:#FFF;
  text-align: center;
}
</style>
